Your submission was sent successfully! Close

CVE-2009-1961

Published: 8 June 2009

The inode double locking code in fs/ocfs2/file.c in the Linux kernel 2.6.30 before 2.6.30-rc3, 2.6.27 before 2.6.27.24, 2.6.29 before 2.6.29.4, and possibly other versions down to 2.6.19 allows local users to cause a denial of service (prevention of file creation and removal) via a series of splice system calls that trigger a deadlock between the generic_file_splice_write, splice_from_pipe, and ocfs2_file_splice_write functions.

Priority

Medium

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy
Released (2.6.24-24.55)
intrepid
Released (2.6.27-14.35)
jaunty
Released (2.6.28-13.45)
upstream
Released (2.6.30~rc1)
linux-source-2.6.15
Launchpad, Ubuntu, Debian
dapper
Released (2.6.15-54.77)
hardy Does not exist

intrepid Does not exist

jaunty Does not exist

upstream
Released (2.6.30~rc1)